<?php
/**
*
* @version $Id: archive.php, v.2.0.4, 30/08/2012, AG-P
* @package Contribution for PHPlist 3.0.x
*          @Based on earlier work of Adrian Oliver Schmid
* @license http://www.gnu.org/copyleft/gpl.html GNU/GPL
*          @modified by: Alan G Fairhall, www.alangeorge-photography.com
*          modified 31/11/2013
*          @if you have any questions, write to: alangeorge-photography.com
*          @released uder the GPL Licence, use at own risk!
*          Now compatible with phpList 2.10.19
*          modified 19-02-2013 by Alan G Fairhall
*          will now display content of external [url:http...] newsletters
*          Modified 17-10-2013 by Alan G Fairhall
*          added error for invalid messageid and page titles using
*          the list description
*          Updated deprecated code
*          13-09-2014 updated for phpList mysqli
*          modified 05-02-2015 by Alan G Fairhall for phpList 3.0.12
*          modified 06-02-2016 by Alan G Fairhall for phpList 3.2.0
*          modified 21-02-2016 by Alan G Fairhall for phpList 3.2.2
*          modified 23-02-2016 by Alan G Fairhall for phpList 3.2.3
*          modified 29-05-2016 by Alan G Fairhall for phpList 3.2.5
*          modified 06-10-2016 by Alan G Fairhall for phpList 3.2.6 rc1
*          modified 31-01-2017 by Alan G Fairhall for phpList 3.3.0 rc4
*/

// Include the common configurations for data host, user, password, name.
ob_start();
//$er = error_reporting(0);

require_once dirname(__FILE__) .'/admin/inc/unregister_globals.php';
require_once dirname(__FILE__) .'/admin/inc/magic_quotes.php';
// custom code - start
//require_once dirname ( __FILE__ ) . '/admin/prep_xe.php';
// custom code - end

## none of our parameters can contain html for now
$_GET = removeXss($_GET);
$_POST = removeXss($_POST);
$_REQUEST = removeXss($_REQUEST);
$_SERVER = removeXss($_SERVER);
$_COOKIE = removeXss($_COOKIE);

## remove a trailing punctuation mark on the uid
if (isset($_GET['uid'])) {
  if (preg_match('/[\.,:;]$/',$_GET['uid'])) {
    $_GET['uid'] = preg_replace('/[\.,:;]$/','',$_GET['uid']);
  }
}

if (isset($_SERVER['ConfigFile']) && is_file($_SERVER['ConfigFile'])) {
  include $_SERVER['ConfigFile'];
} elseif (is_file("config/config.php")) {
  include 'config/config.php';
} else {
  print "Error, cannot find config file\n";
  exit;
}

require_once dirname(__FILE__).'/admin/init.php';

$GLOBALS['database_module'] = basename($GLOBALS['database_module']);
$GLOBALS['language_module'] = basename($GLOBALS['language_module']);

require_once dirname(__FILE__).'/admin/'.$GLOBALS['database_module'];

# load default english and language
include_once dirname(__FILE__)."/texts/english.inc";
if (is_file(dirname(__FILE__).'/texts/'.$GLOBALS['language_module'])) {
  include_once dirname(__FILE__).'/texts/'.$GLOBALS['language_module'];
}
# Allow customisation per installation
if (is_file($_SERVER['DOCUMENT_ROOT'].'/'.$GLOBALS['language_module'])) {
  include_once $_SERVER['DOCUMENT_ROOT'].'/'.$GLOBALS['language_module'];
}

require_once dirname(__FILE__).'/admin/inc/random_compat/random.php';
include_once dirname(__FILE__).'/admin/languages.php';
require_once dirname(__FILE__).'/admin/defaultconfig.php';
require_once dirname(__FILE__).'/admin/connect.php';
include_once dirname(__FILE__).'/admin/lib.php';

$I18N = new phplist_I18N();
header('Access-Control-Allow-Origin: '.ACCESS_CONTROL_ALLOW_ORIGIN);

if (!empty($GLOBALS['SessionTableName'])) {
  require_once dirname(__FILE__).'/admin/sessionlib.php';
}
@session_start(); # it may have been started already in languages

if (!isset($_POST) && isset($HTTP_POST_VARS)) {
  require 'admin/commonlib/lib/oldphp_vars.php';
}

// Some handy variables
// custom code - start
$website = getconfig("website");
/* It's better off automated:
$baselang = "en"; // source language for translation combo
$website = "www.yourDomain.com"; // website from where translation is coming from
$title = "yourTitle - NewsArchives"; // Title for your archive
$targetpage = "http://www.yourDomain.com/lists/archive.php"; //location of archive.php
*/
$targetpage = basename($_SERVER['PHP_SELF']);
// custom code - end

if (! (isset ( $_GET ['listID'] )) || ($_GET ['listID'] < 1)) {
	$listID = 0; // Later in the code, if $listID==0, it just lists the active lists.
} else {
	$listID = intval ( $_GET ['listID'] );
}

// Special treatment for list ID
if (is_numeric ( $_GET ['listID'] )) {
	if (! (isset ( $_GET ['listID'] )) || ($_GET ['listID'] < 1)) {
		$listID = 0; // Later in the code, if $listID==0, it just lists the active lists.
	} else {
		$listID = intval ( $_GET ['listID'] );
	}
} else { // if we have a query or something else than a number >>> null it!
	unset ( $_GET ['listID'] );
}

// Special treatment for message ID
if (is_numeric ( $_GET ['message'] )) {
	$messageID = $_GET ['message'];
} else { // if we have a query or something else than a number >>> null it!
	unset ( $_GET ['message'] );
}

// custom code - start
$multilingual = array(
 'Direction' => "ltr",
 'ArchiveNoItem' => "No such item",
 'ArchiveTitle' => "Archives",
 'ArchiveList' => "Please select a list to see its archive",
 'First' => "First",
 'Last' => "Last",
 'Next' => "Next",
 'Prev' => "Previous",
 'ViewLists' => "List of mailing lists",
 'NoActiveLists' => "No active lists found",
 'EmptyArchive' => "No entries were found in the archive",
 'InvalidMessage' => "Could not retrieve the selected message",
 'database_unselected' => "Could not select database",
 'database_unconnected' => "Could not connect to database"
);

foreach ($multilingual as $key => $value)
      if (!isset($GLOBALS["str$key"]))
		$GLOBALS["str$key"] = $value;

header('Content-Type: text/html; charset=' . $strCharSet);
// custom code - end

// Print the head section of our document ....
?>
<!-- custom code - start -->
<!--
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
-->
<html>
<head>

<!--
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
-->
<!-- custom code - end -->
<meta name="robots" content="index,nofollow" />
<meta name="Googlebot" content="index,nofollow" />

<style type="text/css">
/* custom code - start */
/*
@font-face {
	font-family: 'CantarellRegular';
	src: url('../fonts/Cantarell-Regular-webfont.eot');
	src: url('../fonts/Cantarell-Regular-webfont.woff') format('woff'),
		url('../fonts/Cantarell-Regular-webfont.ttf') format('truetype'),
		url('../fonts/Cantarell-Regular-webfont.svg#CantarellRegular')
		format('svg');
	font-weight: normal;
	font-style: normal;
}

@font-face {
	font-family: 'CantarellOblique';
	src: url('../fonts/Cantarell-Oblique-webfont.eot');
	src: url('../fonts/Cantarell-Oblique-webfont.eot?#iefix')
		format('embedded-opentype'),
		url('../fonts/Cantarell-Oblique-webfont.woff') format('woff'),
		url('../fonts/Cantarell-Oblique-webfont.ttf') format('truetype'),
		url('../fonts/Cantarell-Oblique-webfont.svg#CantarellOblique')
		format('svg');
	font-weight: normal;
	font-style: normal;
}

@font-face {
	font-family: 'CantarellBold';
	src: url('../fonts/Cantarell-Bold-webfont.eot');
	src: url('../fonts/Cantarell-Bold-webfont.eot?#iefix')
		format('embedded-opentype'),
		url('../fonts/Cantarell-Bold-webfont.woff') format('woff'),
		url('../fonts/Cantarell-Bold-webfont.ttf') format('truetype'),
		url('../fonts/Cantarell-Bold-webfont.svg#CantarellBold') format('svg');
	font-weight: normal;
	font-style: normal;
}

@font-face {
	font-family: 'CantarellBoldOblique';
	src: url('../fonts/Cantarell-BoldOblique-webfont.eot');
	src: url('../fonts/Cantarell-BoldOblique-webfont.eot?#iefix')
		format('embedded-opentype'),
		url('../fonts/Cantarell-BoldOblique-webfont.woff') format('woff'),
		url('../fonts/Cantarell-BoldOblique-webfont.ttf') format('truetype'),
		url('../fonts/Cantarell-BoldOblique-webfont.svg#CantarellBoldOblique')
		format('svg');
	font-weight: normal;
	font-style: normal;
}
*/

h2 {
	font: 1.4em 'CantarellOblique', Arial, sans-serif;
	letter-spacing: 0;
	line-height: 1.6em;
}

h3 {
	font: 1.2em 'CantarellOblique', Arial, sans-serif;
	letter-spacing: 0;
	line-height: 1.4em;
}

html,body {
	margin: 0;
	padding: 0;
	font: .9em 'AmbleRegular', Arial, sans-serif;
	letter-spacing: 0em;
	margin: 0em;
	color: #333;
}

/* custom code - start */
/*
body {
	background: #fff url(../images/body.gif) 0 0 repeat-x;
}
*/
/* custom code - end */

body * {
	margin: 0;
	padding: 0;
}

/* custom code - start */
p {
	margin: 10;
}
/* custom code - end */

.wrap {
	float: left;
	width: 95%;
	border: solid 1px #dcdcdc;
	margin: 1em;
	padding: 1em;
	margin-bottom: 2em;
}

#container {
	background: #ffffff;
	margin: 0 auto 0 auto;
	padding: 0em;
/* custom code - start */
/*
	width: 800px;
*/
/* custom code - end */
	/*
    voice-family: "\"}\"";
    voice-family:inherit;
    width: 960px;
*/
}

/* custom code - start */
/*
#container {
	width: 860px;
} /* IE ~5  */
/* custom code - end */
.wrap a:link,a:visited,a:active {
	font: 1.0em 'CantarellRegular', Arial, sans-serif;
	letter-spacing: 0;
	color: #000;
	font-weight: normal;
	text-decoration: none;
}

.wrap a:hover {
	font: 1.0em 'CantarellRegular', Arial, sans-serif;
	letter-spacing: 0;
	color: #666;
	font-weight: normal;
	text-decoration: none;
}

a:hover.wrap {
	font: 1.0em 'CantarellBold', Arial, sans-serif;
	letter-spacing: 0;
	color: #666;
	font-weight: normal;
	text-decoration: none;
}

.newslet {
	font: 1.0em 'CantarellRegular', Arial, sans-serif;
	letter-spacing: 0;
}

h1.newshead {
	font: 1.1em 'CantarellOblique', Arial, sans-serif;
	letter-spacing: 0;
	margin: 0;
}

.newslet a:link {
	font: 1.0em 'CantarellRegular', Arial, sans-serif;
	letter-spacing: 0;
}

a:link.newsanchor,a:active.newsanchor,a:visited.newsanchor,a:hover.newsanchor
	{
	color: #006699;
}

a.nav {
	BORDER-BOTTOM: #000 1px solid;
	TEXT-ALIGN: center;
	BORDER-LEFT: #000 1px solid;
	LINE-HEIGHT: 25px;
	WIDTH: 200px;
	DISPLAY: block;
	BACKGROUND: #aaa;
	HEIGHT: 25px;
	COLOR: #eee;
	MARGIN-LEFT: 5px;
	BORDER-TOP: #000 1px solid;
	BORDER-RIGHT: #000 1px solid;
	TEXT-DECORATION: none
}

a.nav:visited {
	BORDER-BOTTOM: #000 1px solid;
	TEXT-ALIGN: center;
	BORDER-LEFT: #000 1px solid;
	LINE-HEIGHT: 25px;
	WIDTH: 200px;
	DISPLAY: block;
	BACKGROUND: #aaa;
	HEIGHT: 25px;
	COLOR: #eee;
	MARGIN-LEFT: 5px;
	BORDER-TOP: #000 1px solid;
	BORDER-RIGHT: #000 1px solid;
	TEXT-DECORATION: none
}

a.nav:hover {
	BACKGROUND: #000;
	COLOR: #fff
}

a.nav:hover {
	BACKGROUND: #000;
	COLOR: #fff
}

#wrapper {
	width: 640px;
/* custom code - start */
	margin: 0;
/* custom code - end */
	padding: 0;
}

#newswrap {
	width: 640px;
/* custom code - start */
	margin: 0;
/* custom code - end */
	padding: 0;
}

a:link.newsanchor,a:active.newsanchor,a:visited.newsanchor,a:hover.newsanchor
	{
	color: #006699;
	margin-left: 0px;
	padding-left: 0px;
	border: none !important;
}

div.pager {
	font: 1.0em 'CantarellRegular', Arial, sans-serif;
	letter-spacing: 0 !important;
	padding: 3px;
	margin: 3px;
}

div.pager a {
	padding: 2px 5px 2px 5px;
	margin: 2px;
	border: 1px solid #AAAADD;
	text-decoration: none; /* no underline */
	color: #000099;
}

div.pager a:hover,div.pager a:active {
	border: 1px solid #000099;
	color: #000;
}

div.pager span.current {
	padding: 2px 5px 2px 5px;
	margin: 2px;
	border: 1px solid #000099;
	font-weight: bold;
	background-color: #000099;
	color: #FFF;
}

div.pager span.disabled {
	padding: 2px 5px 2px 5px;
	margin: 2px;
	border: 1px solid #EEE;
	color: #DDD;
}

.page {
	color: #006de7;
	margin-left: 5px
}

.inner {
	display: inline-block;
	padding: 5px 10px
}

.inner:hover {
	background: #eff8fe
}

.selected span.inner {
	background: #eff8fe;
	font-weight: bold
}

a[title="Go to next page"]>span,a[title="Go to previous page"]>span,a[title="Back to all lists"]>span,a[title="Go to all lists"]>span,a[title="Go to this list"]>span,a[title="Go back to list"]>span,span.disabled>span
	{
	background: #eff8fe;
	border: 1px solid #c1d6e7
}

div.pages {
	float: right;
}

div.lists {
	float: left;
}

div.pager {
	margin-bottom: 1.0em;
}

/* Gradient color1 - color2 - color1 */
hr.style-one {
	border: 0;
	height: 1px;
	background: #333;
	background-image: -webkit-linear-gradient(left, #ccc, #333, #ccc);
	background-image: -moz-linear-gradient(left, #ccc, #333, #ccc);
	background-image: -ms-linear-gradient(left, #ccc, #333, #ccc);
	background-image: -o-linear-gradient(left, #ccc, #333, #ccc);
}

.floatTerminator {
	clear: both;
}

.floatErasorLeft {
	float: left;
}

.floatErasorRight {
	float: right;
}

.sizeErazor {
	margin-top: .8em;
}


</style>

</head>
<body>

	<div id="container">

		<a name="top"></a>
		<div align="center">
			<table cellspacing="0" cellpadding="0" width="95%" border="0">


				<tr valign="top" align="left">
					<td>
						<!--TOP TABLE starts-->
						<table cellspacing="0" cellpadding="0" bgcolor="#ffffff"
							border="0">

							<tr>
								<td>

									<div class="wrap">
    
<?php
// A very important data query ....
// $SETQ="select * from ".$table_prefix."message,".$table_prefix."list,".$table_prefix."listmessage where "
// .$table_prefix."list.id=".$table_prefix."listmessage.listid and ".$table_prefix."message.id=".$table_prefix."listmessage.messageid and "
// .$table_prefix."message.status='sent' and " .$table_prefix."list.active=1 ORDER by ".$table_prefix."message.sent";
$SETQ = "select * from " . $table_prefix . "message," . $table_prefix . "list," . $table_prefix . "listmessage where " . $table_prefix . "list.id=" . $listID . " and " . $table_prefix . "list.id=" . $table_prefix . "listmessage.listid and " . $table_prefix . "message.id=" . $table_prefix . "listmessage.messageid and " . $table_prefix . "message.status='sent' and " . $table_prefix . "list.active=1 ORDER by " . $table_prefix . "message.sent DESC";

define ( "QUERYX", $SETQ );

// Decide whether to show a list of titles or show a specific message ....
if (! isset ( $_GET ['message'] )) {
	if ($listID == 0) { // no listID was specified: list all active lists.
// custom code - start
		echo "\n<script>\ndocument.title='" . $strArchiveTitle . "'\n</script>\n";
// custom code - end
		if ($DB = mysqli_connect ( $database_host, $database_user, $database_password, $database_name )) {
			if (mysqli_connect_errno())
             {
            echo "Failed to connect to MySQL: " . mysqli_connect_error();
             }

				$_QUERY = "select * from " . $table_prefix . "list where active=1 ORDER by " . $table_prefix . "list.listorder";
				
				if ($RS = sql_query ( $_QUERY, $DB )) {
					if (mysqli_num_rows ( $RS ) <= 0) {
						print ("<br /><h2>No active lists found.</h2><br /><br /><a href='javascript:history.back();'>&laquo; Back</a>") ;
					} else {
// custom code - start
						echo '<h2>' . $strArchiveTitle . '</h2>';
// custom code - end
						printf ( '<table style="width:650px;"><tr><td style=" vertical-align:top; width:320px;">' );
						$num = mysqli_num_rows ( $RS );
						$split = intval ( $num / 2 ); // gets rid of decimals.
						if ($split * 2 < $num) {
							$split = ($split + 1);
						}
						$i = 0;
						while ( $_ROW = sql_fetch_assoc ( $RS ) ) {
							
							printf ( '<br /><a rel="nofollow" class="newsanchor" href="./%s?listID=' . $_ROW ['id'] . '">' . $_ROW ['name'] . '</a>', basename ( $_SERVER ['PHP_SELF'] ) );
							printf ( "<p>" . stripslashes ( $_ROW ['description'] ) . "</p>\n\n" );
							
							printf ( ($split == ++ $i) ? '</td><td style="vertical-align:top; width:320px; ">' : NULL );
						}
						printf ( '</td>' );
						printf ( '</tr></table>' );
						
						// if($i>=10){ break; }
					}
					
					mysqli_free_result ( $RS );
					mysqli_close ( $DB );
				} else {
					mysqli_free_result ( $RS );
					mysqli_close ( $DB );
					
					print ("<h2>I Could not retrieve requested information.</h2>") ;
					exit ( 0 );
				}
			
			
		} else {
			print ("<h2>Could not connect to database.</h2>") ;
		}
	} else 	// a list was selected
	{
		if ($DB = mysqli_connect ( $database_host, $database_user, $database_password, $database_name )) {
			if (mysqli_connect_errno())
             {
            echo "Failed to connect to MySQL: " . mysqli_connect_error();
             }
			
			
			
			
			
			
				
				sql_query ( "SET @rownum = 0" );
				$querynum = "select *, @rownum := @rownum +1 from " . $table_prefix . "message," . $table_prefix . "list," . $table_prefix . "listmessage where " . $table_prefix . "list.id=" . $listID . " and " . $table_prefix . "list.id=" . $table_prefix . "listmessage.listid and " . $table_prefix . "message.id=" . $table_prefix . "listmessage.messageid and " . $table_prefix . "message.status='sent' and " . $table_prefix . "list.active=1 ORDER by " . $table_prefix . "message.sent DESC";
				$run = sql_query ( $querynum );
				$_SESSION ['pageorder'] = $querynum;
				
				// echo '<table><tr>';
// custom code - start
// No need to waste resources with a loop
				//while ( $row = sql_fetch_array ( $run ) ) {
                if ($row = sql_fetch_array ( $run )) {
					echo "\n<script>\ndocument.title='" . $row ['name'] . ' - ' . $row ['description'] . "'\n</script>\n";
// custom code - end
					$titlex = '<h2>' . $row ['name'] . ' - ' . $row ['description'] . '</h2><br />';
					$_SESSION ['pagetitle'] = $titlex;
				}
				
				echo $_SESSION ['pagetitle'];
				
// custom code - start
				$pagination .= "<div class=\"lists\"><a class=\"txx\" href=\"" . $targetpage . "\" title=\"Back to all lists\" class=\"page\"><span class=\"inner\"><span class=\"next\">Return to Lists</span></span></a></div>";
// custom code - end
			$pagination .= "<br /><br />";	
			print $pagination;
			echo '<hr class="style-one" ><br />';
				if ($RS = sql_query ( QUERYX, $DB )) {
					
					// Print a list of sent newsletters ....
					printf ( '<table style="width:650px;"><tr><td style=" vertical-align:top; width:320px;">' );
					$num = mysqli_num_rows ( $RS );
					
					if ($num == 0) {
					} else {
						
						$split = intval ( $num / 2 ); // gets rid of decimals.
						if ($split * 2 < $num) {
							$split = ($split + 1);
						}
						$i = 0;
						
						while ( $_ROW = sql_fetch_assoc ( $RS ) ) {
							
							printf ( "<a rel=nofollow class=newsanchor href='%s?message=%s'>%s</a><br><div class=newsdate>Newsletter sent on %s</div><br /> <br />", $_SERVER ['PHP_SELF'], $_ROW ['messageid'], $_ROW ['subject'], $_ROW ['sent'] );
							
							printf ( ($split == ++ $i) ? '</td><td style="vertical-align:top; width:320px; ">' : NULL );
						}
						printf ( '</td>' );
						printf ( '</tr></table>' );
						echo '<br /><hr class="style-one" ><br />';
						print $pagination;
					}
					if (mysqli_num_rows ( $RS ) <= 0) {
						print ("<br /><h2>No entries were found in the archive.</h2><br /><br />") ;
						printf ( '</td>' );
						printf ( '</tr></table>' );
						echo '<br /><hr class="style-one" ><br />';
						print $pagination;
					}
					mysqli_free_result ( $RS );
					mysqli_close ( $DB );
				} else {
					mysqli_free_result ( $RS );
					mysqli_close ( $DB );
					
					print ("<h2>Could not retrieve requested information.</h2>") ;
					exit ( 0 );
				}
			
		} else {
			print ("<h2>Could not connect to database.</h2>") ;
		}
	}
} else {
	
	// Print the selected newsletter ....

// custom code - start	
	/*
	$uxa = "a915bfdb8e9f8922f6a917c90b04fk2k";
	$_SESSION ['uxa_a'] = $uxa;
	*/
// custom code - end
	$anumber = $_GET ["message"];
	
	if ($_GET ['message']) {
		$messageid = Sql_Fetch_Row_Query ( sprintf ( 'select id from %s where id = %d', $GLOBALS ['tables'] ['message'], $_GET ['message'] ) );
		
		$query = "SELECT * FROM {$tables['message']} where id = $anumber";
		$result = sql_query ( $query );

// custom code - start
		// No need to waste resources with a loop
		//while ( $row = sql_fetch_array ( $result, MYSQL_ASSOC ) ) {
		if ( $row = sql_fetch_array ( $result, MYSQL_ASSOC ) ) {
// custom code - end
			$subject = $row ['subject'];
// custom code - start
			echo "\n<script>\ndocument.title='" . $subject . "'\n</script>\n";
			if (!isset($uxa)) {
				$htmlmessage = $row['message'];
				$footer = $row['footer'];
				$template = $row['template'];
			}
// custom code - end
			$sent = $row ['sent'];
		}
		
		if ($messageid [0]) {
// custom code - start
		  if (!isset($uxa)) {
			$userid[0] = true;
			$result = sql_query("SELECT * FROM {$tables['template']} where id = $template");
			if ( $row = sql_fetch_array ( $result, MYSQL_ASSOC ) ) {
				$htmlmessage = str_replace(array('[CONTENT]', '[FOOTER]'), array($htmlmessage, nl2br($footer)), stripcslashes($row['template']));
				$htmlmessage = preg_replace('/font-size:(.*?)([";])/', "$2", $htmlmessage); // Remove sizes that were meant for e-mail
			}
// custom code - end
		  } else
			$userid = Sql_Fetch_Row_Query ( sprintf ( 'select id from %s where uniqid = "%s"', $GLOBALS ['tables'] ['user'], $_SESSION ['uxa_a'] ) );
			if ($userid [0]) {
// custom code - start
		      if (isset($uxa)) {
// custom code - end
				$users = Sql_query ( "select id,email,uniqid,htmlemail,rssfrequency,confirmed,blacklisted from {$tables['user']} where id = $userid[0]" );
				
				// pick the first one (rather historical)
				$user = Sql_fetch_row ( $users );
				if ($user [5] && is_email ( $user [1] )) {
					$userid = $user [0]; // id of the user
					$useremail = $user [1]; // email of the user
					$userhash = $user [2]; // unique string of the user
					$htmlpref = $user [3]; // preference for HTML emails
					$rssfrequency = $user [4];
					$confirmed = $user [5];
					
					if (ENABLE_RSS && $processrss) {
						if ($rssfrequency == $message ['rsstemplate']) {
							$rssitems = rssUserHasContent ( $userid, $messageid, $rssfrequency );
						}
					}
					$htmlmessage = "<html><body><h1>oops... something went wrong</h1></body></html>\n";
					echo $_SESSION ['pagetitle'];
					prepare_message ( $messageid [0], $useremail, $userhash, $htmlpref, NULL, NULL, $htmlmessage, $textmessage, $destinationemail, 'browser' );
					
// custom code - start
				}
		      }
					$result = sql_query("SELECT * FROM {$tables['message_attachment']} where messageid = " . $messageid[0]);
					while ( $row = sql_fetch_array ( $result, MYSQL_ASSOC ) ) {
						$result2 = sql_query("SELECT * FROM {$tables['attachment']} where id = " . $row['attachmentid']);
						if ( $row2 = sql_fetch_array ( $result2, MYSQL_ASSOC ) )
							//$attachments[] = '<li><a href="' . $row2['remotefile'] . '">' . $row2['description'] . '</a></li>';
						    $attachments[] = '<li><a href="dl.php?id=' . $row2['id'] . '">' . $row2['description'] . '</a></li>';
					}
					if (isset($attachments))
						$htmlmessage .= '<br /><ul>' . implode("\n", $attachments) . '</ul>';
// custom code - end
					$pagination .= "<div class=\"lists\"><a class=\"txx\" href=\"javascript:history.back()\" title=\"Go back to list\" class=\"page\"><span class=\"inner\"><span class=\"next\">Back</span></span>                    </a></div><div style=\"margin-left:10px;\" class=\"lists\"><a class=\"txx\" href=\"" . $targetpage . "\" title=\"Back to all lists\" class=\"page\"><span class=\"inner\"><span class=\"next\">Return to Lists                    </span></span></a></div>";
		        	$pagination .= "<br>";	
			       print $pagination;
					echo '<br /><div><hr class="style-one" ></div>';
					
					
					print ('<br><div class="newslet" align="left"><h3>Newsletter - ' . $subject . '</h3></div><br /><h3>Date sent -&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;' . $sent . '</h3><br />') ;
					
					print $htmlmessage;
					echo '<br /><br /><hr class="style-one" ><br />';
					print "".$pagination;
// custom code - start
				/*
				}
				*/
// custom code - end
			}
		} else {
			$pagination .= "<div class=\"lists\"><a class=\"txx\" href=\"" . $targetpage . "\" title=\"Back to all lists\" class=\"page\"><span class=\"inner\"><span class=\"next\">Return to Archive Page</span></span></a></div>";
			$pagination .= "</div>";
			
			$htmlmessage = "<h2>oops... That message is not available in our system</h2><br /><br />\n";
			print $htmlmessage;
			print $pagination;
		}
	}
}
?>
    </div>
								</td>
							</tr>
						</table>
					</td>
				</tr>
			</table>

		</div>
		<p style="text-align: center;"></p>


		<br class="clear-both" />
	</div>
	

</body>

<? 

?>  
</html>




